Name:           kBuild
Version:        0.1.5
Release:        0.1.20081106svn%{?dist}
Summary:        A cross-platform build enviroment

Group:          Development/Tools
License:        BSD and GPLv2+
# most tools are from NetBSD, some are from FreeBSD,
# and make and sed are from GNU
URL:            http://svn.netlabs.org/kbuild
#Source0:        ftp://ftp.netlabs.org/pub/kbuild/%{name}-%{version}-src.tar.gz
# Revision 2058 is of the most recent file of VirtualBox OSE-bundled kBuild
# where the version was determinable. More recent trunk as of end of 2008 won't
# build, and latest stable can't build VirtualBox OSE
# svn export -r2058 http://svn.netlabs.org/repos/kbuild@2058 kBuild
# tar czf kBuild.tar.gz kBuild
Source0:        %{name}.tar.gz
Patch0:         kBuild-0.1.3-escape.patch
# Revert it, or add <assert.h> include? -- that is the question.
Patch1:         kBuild-0.1.5-revert2027.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  byacc libacl-devel flex 
BuildRequires:  autoconf automake gettext-devel


%description
This is a GNU make fork that with a set of scripts to simplify
complex tasks and portable versions of various UNIX tools to
ensure cross-platform portability.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .escape
%patch1 -p0 -b .revert2027

# Remove prebuilt stuff
rm -rf kBuild/bin/*


%build
# Unset hardcoded optimizations
%define mflags CFLAGS="%{optflags}" %{_smp_mflags}

# This is so that we see what's being done,
# i.e. if the compiler flags are in effect
export KBUILD_VERBOSE=2

# The bootstrap would probably not be needed if we depended on ourselves,
# yet it is not guarranteed that new versions are compilable with older
# kmk versions, so with this we are on a safer side
kBuild/env.sh --full make -f bootstrap.gmk %{mflags}

kBuild/env.sh kmk NIX_INSTALL_DIR=%{_prefix} BUILD_TYPE=release %{mflags} rebuild


%install
rm -rf $RPM_BUILD_ROOT
kBuild/env.sh kmk NIX_INSTALL_DIR=%{_prefix} BUILD_TYPE=release PATH_INS=$RPM_BUILD_ROOT %{mflags} install
cp -a kBuild/units $RPM_BUILD_ROOT/%{_datadir}/kBuild


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc COPYING ChangeLog
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/*


%changelog
* Tue Dec 30 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.1.5-0.1.20081106svn
- Update to build VirtualBox OSE 2.1.0

* Fri Sep 19 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.1.4-1
- New upstream release

* Thu Aug 28 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.1.3-2
- Add gettext-devel to BRs for autopoint

* Sun Aug 17 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.1.3-1
- New upstream version
- Install into FHS hierarchy
- Honour optflags
- No need to be arch specific

* Tue Oct 30 2007 Till Maas <opensource till name> - 0.1.0-0.3.20070627svn
- add support for x86_64
- add BR: autoconf, automake

* Wed Jun 27 2007 Till Maas <opensource till name> - 0.1.0-0.2.20070627svn
- Update to a new version
- just copy the bin files to %%{_libexecdir}, kmk install does not work

* Sun Feb 18 2007 Till Maas <opensource till name> - 0.1.0-0.1.20070218svn
- Initial spec for fedora extras
